import { jsx as a } from "react/jsx-runtime";
/* empty css                     */
import { classNames as t } from "./index-classNames.js";
import "react";
const p = (e) => {
  const {
    padding: o,
    className: r,
    bgColor: i,
    innerRef: d,
    mode: n
  } = e;
  let l = {};
  return n === "fill" && (l = {
    display: "flex",
    flexDirection: "column",
    height: "100%",
    flex: 1
  }), a("div", {
    ref: d,
    className: t("modal-body", r),
    style: {
      padding: o !== void 0 ? o : "",
      backgroundColor: i ?? "",
      ...l
    },
    children: e.children
  });
};
export {
  p as ModalBody
};
